/* Da'Vion Felder
   10/4/2022
   101
   Lab 9a
   This lab consist of trying to make the flag of Ireland by using different files.
*/
#include "defs.h"
int main(void){
	header flag;
	flag.width = getWidth();
	flag.height = (flag.width/2);
	pixel pix[flag.width*flag.height];
//	fprintf(stderr, "\n\n");
	fprintf(stdout, "P3\n");
//	flag = (header){"P3", flag.width, flag.height, 255};
	fprintf(stdout, "%d %d %d\n", flag.width, flag.height, 255);
	writeHeader(flag);
	fillFlagArray( pix, flag.width, flag.height);
	writePixels( pix, flag.width, flag.height);
	return 0;
}
